#Include "windows.bi"

#Include "resource.bi" 

Dim Shared As HBRUSH g_hbrBackground = NULL

Dim Shared As HMODULE hInstance
Dim Shared As ZString Ptr lpCmdLine

Function DlgProc(hwnd As HWND, Message As UINT, wParam As WPARAM, lParam As LPARAM) As BOOL
 	Select Case Message
		Case WM_INITDIALOG
			g_hbrBackground = CreateSolidBrush(RGBA(0, 0, 0, 0))

			SendMessage(hwnd, WM_SETICON, ICON_SMALL, Cast(LPARAM, LoadIcon(NULL, IDI_APPLICATION)))
			SendMessage(hwnd, WM_SETICON, ICON_BIG, Cast(LPARAM, LoadIcon(NULL, IDI_APPLICATION)))
		
		Case WM_CLOSE
			EndDialog(hwnd, 0)
		
		Case WM_CTLCOLORDLG
			Return Cast(Long, g_hbrBackground)
		Case WM_CTLCOLORSTATIC:
			Dim As HDC hdcStatic = Cast(HDC, wParam)
			SetTextColor(hdcStatic, RGBA(255, 255, 255, 0))
			SetBkMode(hdcStatic, TRANSPARENT)
			Return Cast(Long, g_hbrBackground)
		
		Case WM_COMMAND
			Select Case LoWord(wParam)
				Case IDOK
					EndDialog(hwnd, 0)
			End Select
		
		Case WM_DESTROY
			DeleteObject(g_hbrBackground)
		
 		Case Else
			Return FALSE
 	End Select
	Return TRUE
End Function

Function WinMain(hInstance As HINSTANCE, hPrevInstance As HINSTANCE, lpCmdLine As LPSTR, nCmdShow As Long) As Long
	Return DialogBox(hInstance, MAKEINTRESOURCE(IDD_MAIN), NULL, @DlgProc)
End Function

' Program start
hInstance = GetModuleHandle(NULL)
lpCmdLine = GetCommandLine
WinMain(hInstance, NULL, lpCmdLine, SW_SHOWDEFAULT)
ExitProcess(0)